Data - Retrieve Topology Data
Retrieves topology data for provided criteria.
POST http://<Servername>/OperationsManager/data/topology
Request Body
Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"
| Name | Type | Description |
|---|---|---|
| classId |
string |
Specify the ClassID |
| criteria |
string |
Specify the criteria (such as severity, priority, resolution state, etc.) |
| displayColumns |
string[] |
Specify the Columns to be displayed |
| groupId |
string |
Specify the Group ID |
| objectIds |
object |
Specify an array of Object IDs |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK.Successfully retrieved topology data. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Examples
RetrieveTopologyData
Sample request
POST http://<Servername>/OperationsManager/data/topology
{
"classId": "44ab701b-5da9-ca21-a94b-8b82828a69d8",
"groupId": null,
"objectIds": {
"6f7e3306-beeb-2996-3795-7c1eafb925b8": -1
},
"criteria": "",
"displayColumns": [
""
]
}
Sample response
[
{
"name": "scomserver.constoso.net",
"id": "29662607-3255-3642-8634-81bcdd696ae0",
"icon": "/OperationsManager/images/instance/state/StatusWarning.png"
}
]
Definitions
| Name | Description |
|---|---|
|
Data |
|
|
Topology |
DataRequest
| Name | Type | Description |
|---|---|---|
| classId |
string |
Specify the ClassID |
| criteria |
string |
Specify the criteria (such as severity, priority, resolution state, etc.) |
| displayColumns |
string[] |
Specify the Columns to be displayed |
| groupId |
string |
Specify the Group ID |
| objectIds |
object |
Specify an array of Object IDs |
TopologyResponse
| Name | Type | Description |
|---|---|---|
| icon |
string |
Icon of Topology in Base 64 |
| id |
string |
ID of Topology |
| name |
string |
Name of Topology |